LibreOffice: XResourceFactory Interface Reference

LibreOffice LibreOffice 24.2 SDK API Reference |

Loading...
Searching...
No Matches
Public Member Functions | List of all members
XResourceFactory Interface Reference

Factory and possibly cache for creating and releasing resources. More...

`import "XResourceFactory.idl";`

Inheritance diagram for XResourceFactory:

## Public Member Functions
XResource | createResource ([in] XResourceId xResourceId) raises ( ::com::sun::star::lang::IllegalArgumentException, ::com::sun::star::lang::WrappedTargetException )
| Create a resource for the given XResourceId object.
void | releaseResource ([in] XResource xResource)
| Call this method to tell a factory that the given resource is no longer in use.

## Detailed Description

Factory and possibly cache for creating and releasing resources.

A resource factory is created and used by the XConfigurationController object.

A factory may want to implement a cache to reuse previously released resources.

## Member Function Documentation

## ◆ createResource()

XResource createResource | ( | [in] XResourceId | xResourceId | ) |
raises | ( | ::com::sun::star::lang::IllegalArgumentException,
|  | ::com::sun::star::lang::WrappedTargetException ) |  |  |

Create a resource for the given XResourceId object.

Parameters

  xResourceId | The resource URL of this id specifies the type of resource to create. The anchor can be used to obtain the associated object from the configuration controller. For example, when a view is created, then the new object can be initialized with the pane that is its anchor.

Valid values are those for which the factory has previously been registered at the XConfigurationController

.

Returns
  Returns a resource object that has been just created or was taken from a cache. When the requested resource can not be created then an empty reference is returned. A later call may be successful. This, for example, can be the case with SFX based side panes. They are not available right after the creation of a new application frame.

Exceptions

  InvalidArgumentException | when the given URL is not supported by the factory.

## ◆ releaseResource()

void releaseResource | ( | [in] XResource | xResource | ) |

Call this method to tell a factory that the given resource is no longer in use.

The factory can decide whether to destroy the resource or to keep it in a cache in order to reuse it later.

Parameters

  xResource | The given resource has to be one created by the same factory.

Exceptions

  InvalidArgumentException | when the given pane was not created by the same factory.

The documentation for this interface was generated from the following file:

- com/sun/star/drawing/framework/XResourceFactory.idl